#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private DeltaSurge[] cacheDeltaSurge;

		
		public DeltaSurge DeltaSurge()
		{
			return DeltaSurge(Input);
		}


		
		public DeltaSurge DeltaSurge(ISeries<double> input)
		{
			if (cacheDeltaSurge != null)
				for (int idx = 0; idx < cacheDeltaSurge.Length; idx++)
					if ( cacheDeltaSurge[idx].EqualsInput(input))
						return cacheDeltaSurge[idx];
			return CacheIndicator<DeltaSurge>(new DeltaSurge(), input, ref cacheDeltaSurge);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.DeltaSurge DeltaSurge()
		{
			return indicator.DeltaSurge(Input);
		}


		
		public Indicators.DeltaSurge DeltaSurge(ISeries<double> input )
		{
			return indicator.DeltaSurge(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.DeltaSurge DeltaSurge()
		{
			return indicator.DeltaSurge(Input);
		}


		
		public Indicators.DeltaSurge DeltaSurge(ISeries<double> input )
		{
			return indicator.DeltaSurge(input);
		}

	}
}

#endregion
